reg  [31:0]     rdata    ; 
wire  [31:0]               LED_CTRL                        ; 
reg   [  3: 0]            LED_CTRL_data                   ; 
wire  [31:0]               SEG_CTRL0                       ; 
reg                       SEG_CTRL0_en                    ; 
wire  [31:0]               SEG_CTRL1                       ; 
reg   [  3: 0]            SEG_CTRL1_d7                    ; 
reg   [  3: 0]            SEG_CTRL1_d6                    ; 
reg   [  3: 0]            SEG_CTRL1_d5                    ; 
reg   [  3: 0]            SEG_CTRL1_d4                    ; 
reg   [  3: 0]            SEG_CTRL1_d3                    ; 
reg   [  3: 0]            SEG_CTRL1_d2                    ; 
reg   [  3: 0]            SEG_CTRL1_d1                    ; 
reg   [  3: 0]            SEG_CTRL1_d0                    ; 

always  @(posedge clk or negedge rst_n)begin 
    if(rst_n==1'b0)begin 
        LED_CTRL_data <= 0 ; 
    end 
    else if(reg_wr && flag_get_addr==16'h0000 )begin 
        LED_CTRL_data <= flag_get_data[3:0]; 
    end 
end 

always  @(posedge clk or negedge rst_n)begin 
    if(rst_n==1'b0)begin 
        SEG_CTRL0_en <= 0 ; 
    end 
    else if(reg_wr && flag_get_addr==16'h0001 )begin 
        SEG_CTRL0_en <= flag_get_data[0]; 
    end 
end 

always  @(posedge clk or negedge rst_n)begin 
    if(rst_n==1'b0)begin 
        SEG_CTRL1_d7 <= 0 ; 
    end 
    else if(reg_wr && flag_get_addr==16'h0002 )begin 
        SEG_CTRL1_d7 <= flag_get_data[31:28]; 
    end 
end 

always  @(posedge clk or negedge rst_n)begin 
    if(rst_n==1'b0)begin 
        SEG_CTRL1_d6 <= 0 ; 
    end 
    else if(reg_wr && flag_get_addr==16'h0002 )begin 
        SEG_CTRL1_d6 <= flag_get_data[27:24]; 
    end 
end 

always  @(posedge clk or negedge rst_n)begin 
    if(rst_n==1'b0)begin 
        SEG_CTRL1_d5 <= 0 ; 
    end 
    else if(reg_wr && flag_get_addr==16'h0002 )begin 
        SEG_CTRL1_d5 <= flag_get_data[23:20]; 
    end 
end 

always  @(posedge clk or negedge rst_n)begin 
    if(rst_n==1'b0)begin 
        SEG_CTRL1_d4 <= 0 ; 
    end 
    else if(reg_wr && flag_get_addr==16'h0002 )begin 
        SEG_CTRL1_d4 <= flag_get_data[19:16]; 
    end 
end 

always  @(posedge clk or negedge rst_n)begin 
    if(rst_n==1'b0)begin 
        SEG_CTRL1_d3 <= 0 ; 
    end 
    else if(reg_wr && flag_get_addr==16'h0002 )begin 
        SEG_CTRL1_d3 <= flag_get_data[15:12]; 
    end 
end 

always  @(posedge clk or negedge rst_n)begin 
    if(rst_n==1'b0)begin 
        SEG_CTRL1_d2 <= 0 ; 
    end 
    else if(reg_wr && flag_get_addr==16'h0002 )begin 
        SEG_CTRL1_d2 <= flag_get_data[11:8]; 
    end 
end 

always  @(posedge clk or negedge rst_n)begin 
    if(rst_n==1'b0)begin 
        SEG_CTRL1_d1 <= 0 ; 
    end 
    else if(reg_wr && flag_get_addr==16'h0002 )begin 
        SEG_CTRL1_d1 <= flag_get_data[7:4]; 
    end 
end 

always  @(posedge clk or negedge rst_n)begin 
    if(rst_n==1'b0)begin 
        SEG_CTRL1_d0 <= 0 ; 
    end 
    else if(reg_wr && flag_get_addr==16'h0002 )begin 
        SEG_CTRL1_d0 <= flag_get_data[3:0]; 
    end 
end 

assign     LED_CTRL =  { 28'b0, LED_CTRL_data } ;
assign     SEG_CTRL0 =  { 31'b0, SEG_CTRL0_en } ;
assign     SEG_CTRL1 =  { SEG_CTRL1_d7, SEG_CTRL1_d6, SEG_CTRL1_d5, SEG_CTRL1_d4, SEG_CTRL1_d3, SEG_CTRL1_d2, SEG_CTRL1_d1, SEG_CTRL1_d0 } ;
always  @(*)begin 
    case(flag_get_addr) 
        16'h0000: rdata = LED_CTRL                         ; 
        16'h0001: rdata = SEG_CTRL0                        ; 
        16'h0002: rdata = SEG_CTRL1                        ; 
        default  : rdata = 0; 
    endcase 
end 
