module top_mdyCfgUartLedSeg(
       clk      ,
       rst_n    ,
       rx       ,
       tx       ,
       seg_sel  ,
       segment  ,
       led       
);
parameter    LED_W   = 4;

input                 clk            ;		
input                 rst_n          ;	
input                 rx             ;
output                tx             ;
output[      7:0]     seg_sel        ;
output[      7:0]     segment        ;
output[LED_W-1:0]     led            ;
`include "mdyCfg_wire.v"

wire  [63:0]          uart_dout      ;
wire                  uart_dout_vld  ;
wire  [63:0]          cfgCtrl_dout   ;
wire                  cfgCtrl_dout_vld  ;


top_uart_cfg u_top_uart_cfg(
    .clk      (clk           )   ,
    .rst_n    (rst_n         )   ,
    .cfg_head (16'h55d5      )   ,
    .rx       (rx            )   ,
    .tx       (tx            )   ,
    .din      (cfgCtrl_dout  )   ,
    .din_vld  (cfgCtrl_dout_vld)   ,
    .din_rdy  (              )   ,
    .dout     (uart_dout     )   ,
    .dout_vld (uart_dout_vld )    

);

mdyCfgCtrl u_mdyCfgCtrl(
    `include "mdyCfg_inst.v"
    .clk         (clk                ) ,
    .rst_n       (rst_n              ) ,
    .din         (uart_dout          ) ,
    .din_vld     (uart_dout_vld      ) ,
    .dout        (cfgCtrl_dout       ) ,
    .dout_vld    (cfgCtrl_dout_vld   )   

);


ledCtrl  u_ledCtrl(
    .clk      (clk            )   ,
    .rst_n    (rst_n          )   ,
    .led_in   (LED_CTRL_data  )   ,
    .led_out  (led            )     

);


mdySegDisp#(.SEG_NUM(8)) u_mdySegDisp (
      .rst_n    (rst_n         )   ,
      .clk      (clk           )   ,
      .disp_en  (SEG_CTRL0_en  )   ,
      .din      ({SEG_CTRL1_d7,SEG_CTRL1_d6,
                  SEG_CTRL1_d5,SEG_CTRL1_d4,
                  SEG_CTRL1_d3,SEG_CTRL1_d2,
                  SEG_CTRL1_d1,SEG_CTRL1_d0}      )   ,
      .din_vld  (8'hff         )   ,
      .seg_sel  (seg_sel       )   ,
      .segment  (segment       )    
);


endmodule

