`timescale 1ns/1ns
module tb_top_mdyCfgUartLedSeg;

parameter    LED_W   = 4 ;
parameter    CYCLE   = 20;

reg                   clk            ;		
reg                   rst_n          ;	
reg                   rx             ;
wire                  tx             ;
wire  [      7:0]     seg_sel        ;
wire  [      7:0]     segment        ;
wire  [LED_W-1:0]     led            ;

top_mdyCfgUartLedSeg#(.LED_W(LED_W)) uut(
       clk      ,
       rst_n    ,
       rx       ,
       tx       ,
       seg_sel  ,
       segment  ,
       led       
);

initial begin
    clk = 0;
    forever #(CYCLE/2)begin
        clk = ~clk ;
    end
end

initial begin
    #1;
    rst_n = 0;
    #(10*CYCLE);
    rst_n = 1;
end

wire  [9:0] data[7:0] ;

assign data[0] = {1'b1,8'h55,1'b0};
assign data[1] = {1'b1,8'hd5,1'b0};
assign data[2] = {1'b1,8'h00,1'b0};
assign data[3] = {1'b1,8'h00,1'b0};
assign data[4] = {1'b1,8'h00,1'b0};
assign data[5] = {1'b1,8'h00,1'b0};
assign data[6] = {1'b1,8'h00,1'b0};
assign data[7] = {1'b1,8'h01,1'b0};

integer ii,jj;

initial begin
    #1;
    rx = 1;

    #(100*CYCLE);
    for(jj=0;jj<8;jj=jj+1)begin
        for(ii=0;ii<10;ii=ii+1)begin
            rx = data[jj][ii];
            #(5208*CYCLE);
        end
    end

    #(10000*CYCLE);

    $stop;
end






endmodule

